package com.xhkjedu.sclass.model.classroom;

import lombok.Data;

import javax.persistence.*;

@Table(name = "t_classroom_vote")
@Data
public class TClassroomVote {
    /**
     * 课堂投票表
     */
    @Id
    private Long voteid;

    /**
     * 课堂ID
     */
    private Long roomid;

    /**
     * 投票标题
     */
    private String votetitle;

    /**
     * 时长（分钟）
     */
    private Integer duration;

    /**
     * 最多可选数量
     */
    private Integer selectnum;

    /**
     * 投票类型（10选5）
     */
    private String votetype;

    /**
     * 创建人ID
     */
    private Integer createid;

    /**
     * 创建时间
     */
    private Integer createtime;

    /**
     * 学校ID
     */
    private Integer schoolid;

    /**
     * 选项数组
     */
    private String options;
}